angular.module('starter.services', [])

.factory('$localStorage', ['$window', function($window) {
   return {
       set: function(key, value) {
           $window.localStorage[key] = value;
       },
       get: function(key, defaultValue) {
            return $window.localStorage[key] || defaultValue;
       },
       setObject: function(key, value) {
           $window.localStorage[key] = JSON.stringify(value);
       },
       getObject: function(key) {
           return JSON.parse($window.localStorage[key] || '{}');
       }
   }
}])

.factory('publicMethod',function($localStorage){
    return {
         //获取平台
         getDevicPlatform : function() {
             if($localStorage.get("devicPlatform")==undefined){
                $localStorage.set('devicPlatform', device.platform);
             }
         },
         //获取手机版本号
         getDevicVersion : function() {
             if($localStorage.get("devicVersion")==undefined){
                $localStorage.set('devicVersion', device.version);
             }
         }
        
    }
     
})

.factory('jmsAppService',function($http,$q,$localStorage){
  return {
     getAppUpgradeNew:function(){
         var deferred = $q.defer();
         $http({method: 'get',
         url: $localStorage.get('localPath')+'/appUpdateVersion'}).success(function(data, status, headers, config) {
               deferred.resolve(data);
            }).error(function(data, status, headers, config){
               errorService.error();
             });
         return deferred.promise;
     },  
		 
	getShortMessagesAll:function(){
         var deferred = $q.defer();
         $http({method: 'get',
         url: $localStorage.get('localPath')+'/interaction/findShortMessagesAll'}).success(function(data, status, headers, config) {
               deferred.resolve(data);
            }).error(function(data, status, headers, config){
               errorService.error();
             });
         return deferred.promise;
     },   

	getListMobile:function(mobileList,names){
         var deferred = $q.defer();
         $http({method: 'get',
         url: $localStorage.get('localPath')+'/interaction/findListMobile?mobileList='+mobileList+'&name='+names}).success(function(data, status, headers, config) {
               deferred.resolve(data);
            }).error(function(data, status, headers, config){
               errorService.error();
             });
         return deferred.promise;
     }, 
	getUserInfo:function(unionId){
         var deferred = $q.defer();
         $http({method: 'get',
         url: $localStorage.get('localPath')+'/appLogin?unionId='+unionId}).success(function(data, status, headers, config) {
               deferred.resolve(data);
            }).error(function(data, status, headers, config){
               errorService.error();
             });
         return deferred.promise;
     }, 
	 

         
  }
         
})

//.factory('checkUpdateService', function ($timeout, $ionicLoading, $cordovaFileTransfer,  $cordovaFileOpener2,$localStorage,$ionicPopup,jmsAppService) {
//        return {
//        //启动是否更新
//        showUpdateConfirm:function(){
//        jmsAppService.getAppUpgradeNew().then(function(data) {
//              var confirmPopup = $ionicPopup.confirm({
//                 title: '版本升级',
//                 template: data.content, //从服务端获取更新的内容
//                 cancelText: '取消',
//                 okText: '升级'
//              });
//              confirmPopup.then(function (res) {
//                if (res) {
//                   $ionicLoading.show({
//                      template: "正在准备下载，请稍后..."
//                   });
//                   var url = data.url; //可以从服务端获取更新APP的路径
//                   var targetPath = "file:///storage/sdcard0/Download/参茸会.apk"; //APP下载存放的路径，可以使用cordova file插件进行相关配置
//                    var trustHosts = true;
//                    var options = {};
//                    $cordovaFileTransfer.download(url, targetPath, options, trustHosts).then(function (result) {
//                    // 打开下载下来的APP
//                    $cordovaFileOpener2.open(targetPath, 'application/vnd.android.package-archive').then(function () {
//                         // 成功
//                        }, function (err) {
//                        // 错误
//                            var myPopup = $ionicLoading.show({
//                              template: '下载出错，请稍后重启再试...',
//                            });
//                            $timeout(function() {
//                               myPopup.hide();
//                            }, 1500);
//                        });
//                        $ionicLoading.hide();
//                    }, function (err) {
//                      var myPopup = $ionicLoading.show({
//                          template: '由于网络不通畅，请稍后重启再试...',
//                      });
//                      $timeout(function() {
//                          myPopup.hide();
//                      }, 1500);
//                    }, function (progress) {
//                      //进度，这里使用文字显示下载百分比
//                         $timeout(function () {
//                             var downloadProgress = (progress.loaded / progress.total) * 100;
//                              $ionicLoading.show({
//                                  template: "已经下载：" + Math.floor(downloadProgress) + "%"
//                               });
//                               if (downloadProgress > 99) {
//                                  $ionicLoading.hide();
//                                }
//                           })
//                      });
//                    } else {
//                        // 取消更新
//                    }
//                });
//          });
//        },
//
//        checkUpdate:function(){
//            jmsAppService.getAppUpgradeNew().then(function(data) {
//                  if(data!=undefined&&data!=""){
//                      $localStorage.set('checkVersion', data.version);
//                   }
//            })
//        }
//    }
//});

